Index: palm/trunk/SCRIPTS/NCL/profiles.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 183)
+++ palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 190)
@@ -996,12 +807,19 @@
       end if
    end if
-   end_time_step = end_time_step*3600
 
    do i=0,nt-1     
-      if (end_time_step .GE. t_all(i)-delta_t/2 .AND. end_time_step .LT. t_all(i)+delta_t/2)then
+      if (end_time_step .GE. (t_all(i)-delta_t/2)/3600 .AND. end_time_step .LT. (t_all(i)+delta_t/2)/3600)then
          et=i
          break
       end if
    end do 
+   if (.not. isvar("et"))then
+      print(" ")
+      print("'end_time_step' = "+ end_time_step +"h is invalid")
+      print(" ")
+      print("Please select another 'end_time_step'")
+      print(" ")
+      exit
+   end if
 
    delete(start_time_step)
@@ -1056,5 +874,7 @@
    res@pmLegendWidthF          = 0.12
    res@pmLegendHeightF         = 0.04*(end_time_step-start_time_step+1)
-   res@lgLabelFontHeightF     = .02 
+   res@lgLabelFontHeightF     = .02
+   res@lgTitleString      = "Time [h]"
+   res@lgTitleFontHeightF = 0.02   
    res@txFontHeightF      = 0.02
    res@tiXAxisFontHeightF = 0.02
@@ -1074,5 +894,5 @@
    end if
 
-   if ( dash .eq. 0 ) then
+   if (dash .EQ. 0 ) then
       res@xyMonoDashPattern       = True 
    else
@@ -1082,5 +902,5 @@
          print("If you use more than one file, patterns for different timesteps cannot be used")
          print(" ") 
-      end if 
+      end if       
    end if 
 
@@ -1096,24 +916,5 @@
 
    if (combine .EQ. 1) then
-      if ( .not. isvar("number_comb") ) then        	
-         if (parameter(25) .EQ. "0") then
-            print(" ")
-            print("Please set 'number_comb' to 2 or 3 if you would like to overlay 2 or 3 variables in one plot")
-            print(" ")
-            exit
-         else
-            number_comb=stringtointeger(parameter(25))
-            plot_o = new(number_comb,graphic)   
-         end if
-      else
-         if(number_comb .EQ. 2 .OR. number_comb .EQ. 3) then
-            plot_o = new(number_comb,graphic)     
-         else
-            print(" ")
-            print("Please set 'number_comb' to 2 or 3 if you would like to overlay 2 or 3 variables in one plot")
-            print(" ")
-            exit 
-         end if    
-      end if
+      plot_o = new(number_comb,graphic)    
       label=new(number_comb,string)
       color_o=new(number_comb,integer)
@@ -1121,5 +922,5 @@
       maxi=new(number_comb,float)
    end if
-
+ 
    wks=gsn_open_wks(format_out,file_out)
    gsn_define_colormap(wks,"rainbow+white") 
@@ -1130,108 +931,86 @@
 
    if (logy .EQ. 1)then
-      if (.not. isvar("min_z"))then
+      if (min_z .EQ. -1)then
          if (isvar("z_u"))then
             min_z=z_u(1)
          else
             min_z=z_w(1)
+         end if       
+      else
+         if (isvar("z_w"))then
+            if (min_z .GE. max(z_w) ) then
+               print(" ")
+               print("Minimum of height ('min_z'="+min_z+") is greater than available heights (="+max(z_w)+")")
+               print(" ")
+               exit
+            end if	    
+	 else
+	    if (min_z .GE. max(z_u) ) then
+               print(" ")
+               print("Minimum of height ('min_z'="+min_z+") is greater than available heights (="+max(z_u)+")")
+               print(" ")
+               exit
+            end if 
+	 end if
+	 if (isvar("z_u"))then   
+            if (min_z .LT. z_u(1) ) then
+               print(" ")
+               print("Begin height 'min_z' at least at level k=1 (="+z_u(1)+"m) due to the logarithmic scale of the y-axis")
+               print(" ")
+               exit
+            end if
+	 else
+	    if (min_z .LT. z_w(1) ) then
+               print(" ")
+               print("Begin height 'min_z' at least at level k=1 (="+z_w(1)+"m) due to the logarithmic scale of the y-axis")
+               print(" ")
+               exit
+            end if   
          end if
-         if (stringtofloat(parameter(33)) .NE. z_u(1) .OR. stringtofloat(parameter(33)) .NE. z_w(1)) then
-            if (stringtofloat(parameter(33)) .EQ. 0) then
-               if (isvar("z_u"))then
-                  min_z=z_u(1)
-               else
-                  min_z=z_w(1)
-               end if  
-            else
-               if (stringtofloat(parameter(33)) .GE. max(z_u) ) then
-                  print(" ")
-                  print("Minimum of height ('min_z'="+stringtofloat(parameter(33))+") is greater than available heights (="+max(z_u)+")")
-                  print(" ")
-                  exit
-               end if
-               if (stringtofloat(parameter(33)) .LT. z_u(1)) then
-                  print(" ")
-                  print("Begin height 'min_z' at least at level k=1 (="+z_u(1)+"m) due to the logarithmic scale of the y-axis")
-                  print(" ")
-                  exit
-               end if 
-               min_z=stringtofloat(parameter(33))
-            end if
+      end if
+   else
+      if (isvar("z_u"))then
+         if (min_z .EQ. -1)then
+            min_z=z_u(0)
+         end if 
+      else
+         if (min_z .EQ. -1)then
+            min_z=z_w(0)
+         end if    
+      end if
+      if (isvar("z_w"))then
+         if (min_z .GE. max(z_w) ) then
+            print(" ")
+            print("Minimum of height ('min_z'="+min_z+") is greater than available heights (="+max(z_w)+")")
+            print(" ")
+            exit
          end if
       else
-         if (min_z .GE. max(z_u) ) then
+         if (min_z .EQ. -1)then
+            min_z=z_u(0)
+         end if
+	 if (min_z .GE. max(z_u) ) then
             print(" ")
             print("Minimum of height ('min_z'="+min_z+") is greater than available heights (="+max(z_u)+")")
             print(" ")
             exit
-         end if
-         if (min_z .LT. z_u(1) ) then
-            print(" ")
-            print("Begin height 'min_z' at least at level k=1 (="+z_u(1)+"m) due to the logarithmic scale of the y-axis")
-            print(" ")
-            exit
-         end if
-      end if
+         end if 
+      end if
+   end if
+   
+   if (isvar("z_w"))then
+      if (max_z .EQ. -1)then
+         max_z=max(z_w)
+      end if 
    else
-      if (.not. isvar("min_z"))then
-         min_z=0.0     
-         if (stringtofloat(parameter(33)) .NE. 0) then
-            if (stringtofloat(parameter(33)) .GE. max(z_u) ) then
-               print(" ")
-               print("Minimum of height ('min_z'="+stringtofloat(parameter(33))+") is greater than available heights (="+max(z_u)+")")
-               print(" ")
-               exit
-            end if
-            if (stringtofloat(parameter(33)) .LT. 0 ) then
-               print(" ")
-               print("Begin minimum of height 'min_z' with 0")
-               print(" ")
-               exit
-            end if 
-            min_z=stringtofloat(parameter(33))
-         end if
-      else
-         if (min_z .GE. max(z_u) ) then
-            print(" ")
-            print("Minimum of height ('min_z'="+min_z+") is greater than available heights (="+max(z_u)+")")
-            print(" ")
-            exit
-         end if
-         if (min_z .LT. 0 ) then
-            print(" ")
-            print("Begin minimum of height 'min_z' with 0")
-            print(" ")
-            exit
-         end if
-      end if
-   end if
-
-   if (.not. isvar("max_z"))then
-      max_z=max(z_u)
-      if ((parameter(35)) .NE. "max(z_u)") then
-         if (stringtofloat(parameter(35)) .GE. max(z_u) ) then
-            print(" ")
-            print("Maximum of height ('max_z'="+parameter(35)+") is greater than available heights (="+max(z_u)+")")
-            print(" ")
-            exit
-         end if
-         if (stringtofloat(parameter(35)) .LE. 0 ) then
-            print(" ")
-            print("Maximum of height 'max_z' should be at least 1")
-            print(" ")
-            exit
-         end if 
-         max_z=stringtofloat(parameter(35))
-      end if
-   else
-      if (max_z .GE. max(z_u) ) then
-         print(" ")
-         print("Maximum of height ('max_z'="+max_z+") is greater than available heights (="+max(z_u)+")")
-         print(" ")
-         exit
-      end if
-      if (max_z .LE. 0 ) then
-         print(" ")
-         print("Maximum of height 'max_z' should be at least 1")
+      if (max_z .EQ. -1)then
+         max_z=max(z_u)
+      end if    
+   end if
+   
+   if (isvar("z_w"))then
+      if (max_z .GT. max(z_w) ) then
+         print(" ")
+         print("Maximum of height ('max_z'="+max_z+") is greater than available heights (="+max(z_w)+")")
          print(" ")
          exit
@@ -1493,10 +1272,5 @@
       end if
 
-      if (.not. isvar("var")) then
-         if (parameter(21) .NE. "variables") then
-            var=parameter(21)
-            check = isStrSubset( var,","+vNam(varn)+"," )
-         end if
-      else          
+      if (var .NE. "all") then
          check = isStrSubset( var,","+vNam(varn)+"," )
       end if
@@ -1535,5 +1309,5 @@
             if (n_o .GT. number_comb-1) then
                print(" ")
-               print("Please set 'number_comb' to the right number of overlaying variables ('c_var')")
+               print("Please set 'number_comb' to the number of overlaying variables ('c_var' = "+c_var+")")
                print(" ")
                exit
@@ -1625,24 +1399,15 @@
     
          if (over .EQ. 0) then  
-            res@xyDashPattern      = nof
             res@gsnLeftString      = vNam(varn)
             res@gsnRightString     = unit(varn)
             res@trYMinF            = min_z
             res@trYMaxF            = max_z 
-            if (.not. isvar("xs")) then 
-               if (parameter(63) .NE. "x0") then
-                  res@trXMinF = stringtofloat(parameter(63))
-               else
-                  res@trXMinF            = min(data(varn,:,:))
-               end if
+            if (xs .EQ. -1) then 
+               res@trXMinF            = min(data(varn,:,:))
             else 
                res@trXMinF            = xs
             end if
-            if (.not. isvar("xe")) then 
-               if (parameter(65) .NE. "xdim") then
-                  res@trXMaxF = stringtofloat(parameter(65))
-               else
-                  res@trXMaxF            = max(data(varn,:,:)) 
-               end if
+            if (xe .EQ. -1) then 
+               res@trXMaxF            = max(data(varn,:,:)) 
             else 
                res@trXMaxF            = xe  
@@ -1660,19 +1425,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniu
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiu 
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniu
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiu 
                   else 
                      res@trXMaxF            = xe  
@@ -1690,19 +1447,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniv
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiv 
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniv
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then
+                     res@trXMaxF            = maxiv 
                   else 
                      res@trXMaxF            = xe  
@@ -1720,19 +1469,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniw
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiw 
-                     end if
+                  if (xs .EQ. -1) then
+                     res@trXMinF            = miniw
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then
+                     res@trXMaxF            = maxiw 
                   else 
                      res@trXMaxF            = xe  
@@ -1751,19 +1492,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = minipt
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxipt 
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = minipt
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxipt 
                   else 
                      res@trXMaxF            = xe  
@@ -1781,22 +1514,14 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = minivpt
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxivpt 
-                     end if
-                  else 
-                     res@trXMaxF            = xe  
-                  end if 
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = minivpt
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxivpt 
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)
                end if 
@@ -1811,19 +1536,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = minilpt
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxilpt 
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = minilpt
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxilpt 
                   else 
                      res@trXMaxF            = xe  
@@ -1842,19 +1559,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = minilq
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxilq 
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = minilq
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxilq 
                   else 
                      res@trXMaxF            = xe  
@@ -1872,19 +1581,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = minilqv
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxilqv 
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = minilqv
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxilqv 
                   else 
                      res@trXMaxF            = xe  
@@ -1902,19 +1603,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniql
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiql 
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniql
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiql 
                   else 
                      res@trXMaxF            = xe  
@@ -1933,19 +1626,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = minie
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxie 
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = minie
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxie 
                   else 
                      res@trXMaxF            = xe  
@@ -1963,19 +1648,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = minies
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxies 
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = minies
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxies 
                   else 
                      res@trXMaxF            = xe  
@@ -1994,19 +1671,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = minikm
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxikm 
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = minikm
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxikm
                   else 
                      res@trXMaxF            = xe  
@@ -2024,19 +1693,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = minikh
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxikh 
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = minikh
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxikh
                   else 
                      res@trXMaxF            = xe  
@@ -2055,19 +1716,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwpup
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwpup 
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwpup
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwpup 
                   else 
                      res@trXMaxF            = xe  
@@ -2085,19 +1738,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwsus
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwsus 
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwsus
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwsus 
                   else 
                      res@trXMaxF            = xe  
@@ -2115,19 +1760,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwu
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwu 
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwu
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwu 
                   else 
                      res@trXMaxF            = xe  
@@ -2146,19 +1783,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwpvp
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwpvp 
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwpvp
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwpvp 
                   else 
                      res@trXMaxF            = xe  
